name: meta
type: object
meta:
    label:
        de: Meta Agaben
        en: Meta Data
    helperText:
        de: Diese Angaben werden für die Suchmaschinenoptimierung verwendet.
        en: These data are used for search engine optimization.
    dependsOn:
        eval: $?.type != "block"
subFields:
    - name: title
      type: string
      meta:
          label:
              de: Titel
              en: Title
          helperText:
              de: Alternativ wird der Name verwendet.
              en: Alternatively the name is used.
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: description
      type: string
      meta:
          label:
              de: Beschreibung
              en: Description
          inputProps:
              multiline: true
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"
    - name: keywords
      type: string
      meta:
          inputProps:
              multiline: true
          label:
              de: Schlüsselwörter
              en: Keywords

    - name: isArticle
      type: boolean
      meta:
          label:
              de: Ist Artikel
              en: Is Article
          helperText:
              de: "Wenn aktiviert, wird der Inhalt als Artikel behandelt."
              en: "If activated, the content is treated as an article."
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"
    - name: hasFAQ
      type: boolean
      meta:
          label:
              de: Hat FAQ
              en: Has FAQ
          helperText:
              de: "Wenn aktiviert, wird der Inhalt als FAQ behandelt."
              en: "If activated, the content is treated as a FAQ."
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"
    - name: FAQ
      type: object[]
      meta:
          label:
              de: FAQ
              en: FAQ
      subFields:
          - name: question
            type: string
            meta:
                label:
                    de: Frage
                    en: Question

          - name: answer
            type: string
            meta:
                label:
                    de: Antwort
                    en: Answer
                inputProps:
                    multiline: true
